logic to map a set of notes to a region on the screen, for searching

### Hierarchy

- SelectionMap<SmoSelection, string>
  - MappedNotes

## Index

### Constructors

- constructor

### Properties

- box
- systemMap

### Methods

- addArtifact
- addKeyToMap
- boxFromSelection
- createKey
- findArtifact
- findValueInMap

## Constructors

### constructor

- new MappedNotes(): MappedNotes

- Inherited from SelectionMap.constructor

  #### Returns MappedNotes

## Properties

### box

box: SvgBox = SvgBox.default

Inherited from SelectionMap.box

- Defined in src/render/sui/svgPageMap.ts:52

the outer bounding box of these selections

### systemMap

systemMap: Map<string, SmoSelection> = ...

Inherited from SelectionMap.systemMap

- Defined in src/render/sui/svgPageMap.ts:56

map of key to child SelectionMaps or SmoSelections

## Methods

### addArtifact

- addArtifact(selection: SmoSelection): void

- Inherited from SelectionMap.addArtifact

  - Defined in src/render/sui/svgPageMap.ts:75

  Add a rendered element to the map, and update the bounding box

  #### Parameters

  - ##### selection: SmoSelection

  #### Returns void

### addKeyToMap

- addKeyToMap(key: string, selection: SmoSelection): void

- Overrides SelectionMap.addKeyToMap

  - Defined in src/render/sui/svgPageMap.ts:99

  Add the selection to our map, and possibly to our child map.

  #### Parameters

  - ##### key: string

  - ##### selection: SmoSelection

  #### Returns void

### boxFromSelection

- boxFromSelection(selection: SmoSelection): SvgBox

- Overrides SelectionMap.boxFromSelection

  - Defined in src/render/sui/svgPageMap.ts:96

  get a set of coordinates from this selection, if it has been rendered.

  #### Parameters

  - ##### selection: SmoSelection

  #### Returns SvgBox

### createKey

- createKey(selection: SmoSelection): string

- Overrides SelectionMap.createKey

  - Defined in src/render/sui/svgPageMap.ts:93

  Create a key from the selection (selector). e.g. (1,1)

  #### Parameters

  - ##### selection: SmoSelection

  #### Returns string

### findArtifact

- findArtifact(box: SvgBox): SmoSelection[]

- Inherited from SelectionMap.findArtifact

  - Defined in src/render/sui/svgPageMap.ts:63

  Given a bounding box (or point), find all the musical elements contained in that point

  #### Parameters

  - ##### box: SvgBox

  #### Returns SmoSelection[]

  SmoSelection[]

### findValueInMap

- findValueInMap(value: SmoSelection, box: SvgBox): SmoSelection[]

- Overrides SelectionMap.findValueInMap

  - Defined in src/render/sui/svgPageMap.ts:102

  find a collection of selection that match a bounding box, possibly by recursing through our child SelectionMaps.

  #### Parameters

  - ##### value: SmoSelection

  - ##### box: SvgBox

  #### Returns SmoSelection[]

Generated using TypeDoc